[Yourls] An URL shortening service

Yourls app for Yunohost has been updated. The current updated version is 1.7.2.

What is Yourls?
YOURLS stands for Your Own URL Shortener . It is a small set of PHP scripts that will allow you to run your own URL shortening service ( a la TinyURL or bitly).
More information: https://yourls.org/

The latest update has brought following features.

  • Removed the LDAP support.
  • Ask for the Yunohost user who will have admin access.
  • No need for password any more for admin account.
  • The admin account goes behind SSO so it gets Fail2ban support by default.

Install Yourl by following command:

$ yunohost app install https://github.com/YunoHost-Apps/yourls_ynh

2 Likes

Yourls app for Yunohost has been updated to version 1.7.3.

1 Like

Yourls app for Yunohost has been updated to version 1.7.6 .

1 Like

Hello, could anyone please look why yourls isn’t working anymore?

I’m sure it’s an easy fix but i wasn’t able to make it works.

Thank you.

Hello, any news about this awesome tool? It’s the only url shortening app in YunoHost that has many functions. Unfortunately LSTU is very basic.
Having back YOURLS to YunoHost would be fantastic! Unfortunately I don’t know how can I help this to became true. :confused:

I did some work on testing branch. It should fix the app but need to be tested.

sudo yunohost app install https://github.com/YunoHost-Apps/yourls_ynh/tree/testing
1 Like

New testing version :tada:

  • 28 February 2022 - #22
    • Upgrade to upstream version 1.8.2
sudo yunohost app install https://github.com/YunoHost-Apps/yourls_ynh/tree/testing --debug
or
sudo yunohost app upgrade yourls -u https://github.com/YunoHost-Apps/yourls_ynh/tree/testing --debug
3 Likes

I’ve just seen that Yourls is back! Awesome, thank you!

1 Like

I’m not sure if others have this problem, but just tried to upgrade today and it failed. It restored it back to working condition though, so no worries.

https://paste.yunohost.org/raw/doyiziviti

Same happened to me.

@arkadi @theRAGEhero can you test to upgrade from testing branch?

sudo yunohost app upgrade yourls -u https://github.com/YunoHost-Apps/yourls_ynh/tree/testing
1 Like

worked perfectly and installed very, very fast. thank you!

It works perfectly now, thanks.

1 Like

the upgrade failed today. just reporting it, so everybody knows. it seems related to php8.0-fpm.

Info: [########++..........] > Upgrading dependencies...
Warning: Unknown service 'php8.0-fpm'
Warning: [Error] Upgrade failed.
Warning: E: Unable to locate package yourls-ynh-deps
Warning: E: Unable to locate package yourls-ynh-deps
Warning: The app was restored to the way it was before the failed upgrade.

https://paste.yunohost.org/raw/etosejidaf

This issue should be solved once YunoHost is updated to Bullseye…
I’m not really sure if this will fix the problem, but can you try upgrading from the test branch?

sudo yunohost app upgrade yourls -u https://github.com/YunoHost-Apps/yourls_ynh/tree/testing
1 Like

That’s kinda what I thought. I will hold off on trying a testing branch though. My server is a delicate ecosystem and don’t want to mess anything up for now especially as i wrestle with Pinephone right now.

Just wanted to put it out there so people know an upgrade will not work for now. I may try the testing branch later on. :smiley: